Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        GNOME help browser 	
Name:      	yelp
Version:   	2.22.1
Release:   	1
License: 	GNU/GPL
URL:	  	ftp://ftp.gnome.org
Group:     	Graphical Desktop/GNOME/Base
Source0: 	%{name}-%{version}.tar.bz2
# http://bugzilla.gnome.org/show_bug.cgi?id=319096
Patch2: 	yelp-2.13.2-add-mime-handling.patch
Patch3: 	yelp-2.15.91-use-pango.patch 
# backports from cvs 
Patch4: 	yelp-2.16.1-crash-fixes.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	gtk2+
Requires: 	gnome-vfs
#Requires: 	gecko-libs = %{gecko_version}
Requires: 	libgnomeui
Requires: 	libbonobo
Requires: 	libxml2
Requires: 	libxslt
Requires: 	libglade
Requires: 	libgcrypt
Requires: 	gnome-doc-utils 
Requires: 	scrollkeeper rarian
Requires(pre): GConf
Requires(post): GConf
Requires(post): desktop-file-utils
Requires(preun): GConf
Requires(postun): desktop-file-utils
BuildRequires: 	pango-devel
BuildRequires: 	gtk2+-devel
BuildRequires: 	gnome-vfs-devel
BuildRequires: 	firefox-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	libbonobo-devel
BuildRequires: 	libglade-devel
BuildRequires: 	libxml2-devel
BuildRequires: 	libxslt-devel
BuildRequires: 	gail-devel
BuildRequires: 	libgcrypt-devel
BuildRequires: 	fontconfig
BuildRequires: 	GConf-devel
BuildRequires: 	desktop-file-utils
BuildRequires: 	gnome-doc-utils 
BuildRequires: 	startup-notification-devel
BuildRequires: 	libgnomeprintui-devel
BuildRequires: 	libXt-devel
BuildRequires: 	perl-XML-Simple
BuildRequires: 	dbus-devel
BuildRequires: 	gettext-devel rarian-devel

%description
Yelp is the Gnome 2 help/documentation browser. It is designed
to help you browse all the documentation on your system in
one central tool.

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/yelp.schemas >& /dev/null || :
update-desktop-database &> /dev/null ||:

# update icon themes
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/yelp.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/yelp.schemas >& /dev/null || :
fi

%postun
update-desktop-database &> /dev/null ||:


%prep
%setup -q
%patch2 -p1 -b .add-mime-handling
%patch3 -p1 -b .use-pango
#%patch4 -p1 -b .crash-fixes
#%patch5 -p1 -b .apropos

%build
%configure --sysconfdir=%_sysconfdir/gnome --localstatedir=/var/lib \
	--enable-search		\
	--with-mozilla=firefox 	\
	--enable-man 		\
	--enable-info 		\
	--disable-schemas-install
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gnome/gconf/schemas/yelp.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor
%{_datadir}/yelp

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Wed Nov 23 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-3
- Gnome 2.20.2
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-2
- Gnome 2.20.1.1
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- clean buildchain
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sun Mar 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.5-1
- Initial Release
